package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:MatterDatumFile
* date: 2021-9-17 15:55:12
*/
public class MatterDatumFileQuery extends MatterDatumFileEntity{
    private static final long serialVersionUID = 1631865312137L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 材料id */
    private Long datumidStart;

    /** 结束 材料id */
    private Long datumidEnd;

    /** 增加 材料id */
    private Long datumidIncrement;

    /** 材料id */
    private List <Long> datumidList;


    /** 附件名称 */
    private List<String> fileNameList;

    /** 附件下载地址 */
    private List<String> fileUrlList;

    /** 开始 附件类型 1 示例样表 2空白表格 默认1 */
    private Integer filetypeStart;

    /** 结束 附件类型 1 示例样表 2空白表格 默认1 */
    private Integer filetypeEnd;

    /** 增加 附件类型 1 示例样表 2空白表格 默认1 */
    private Integer filetypeIncrement;

    /** 附件类型 1 示例样表 2空白表格 默认1 */
    private List <Integer> filetypeList;

    /** 开始 附件来源，0：政务网，1：自定义，默认0 */
    private Integer sourceStart;

    /** 结束 附件来源，0：政务网，1：自定义，默认0 */
    private Integer sourceEnd;

    /** 增加 附件来源，0：政务网，1：自定义，默认0 */
    private Integer sourceIncrement;

    /** 附件来源，0：政务网，1：自定义，默认0 */
    private List <Integer> sourceList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDatumFileQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDatumFileQuery> andConditionList;


    public MatterDatumFileQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 材料id
    * @return datumidStart
    */
    public Long getDatumidStart(){
    return this.datumidStart;
    }

    /**
    * 设置 开始 材料id
    * @param datumidStart
    */
    public void setDatumidStart(Long datumidStart){
    this.datumidStart = datumidStart;
    }

    /**
    * 获取 结束 材料id
    * @return datumidEnd
    */
    public Long getDatumidEnd(){
    return this.datumidEnd;
    }

    /**
    * 设置 结束 材料id
    * @param datumidEnd
    */
    public void setDatumidEnd(Long datumidEnd){
    this.datumidEnd = datumidEnd;
    }

    /**
    * 获取 增加 材料id
    * @return datumidIncrement
    */
    public Long getDatumidIncrement(){
    return this.datumidIncrement;
    }

    /**
    * 设置 增加 材料id
    * @param datumidIncrement
    */
    public void setDatumidIncrement(Long datumidIncrement){
    this.datumidIncrement = datumidIncrement;
    }

    /**
    * 获取 材料id
    * @return datumidList
    */
    public List<Long> getDatumidList(){
    return this.datumidList;
    }

    /**
    * 设置 材料id
    * @param datumidList
    */
    public void setDatumidList(List<Long> datumidList){
        this.datumidList = datumidList;
        }
    /**
    * 获取 附件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 附件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }
    /**
    * 获取 附件下载地址
    * @return fileUrlList
    */
    public List<String> getFileUrlList(){
        return this.fileUrlList;
    }

    /**
    * 设置 附件下载地址
    * @param fileUrlList
    */
    public void setFileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
    }
    /**
    * 获取 开始 附件类型 1 示例样表 2空白表格 默认1
    * @return filetypeStart
    */
    public Integer getFiletypeStart(){
        return this.filetypeStart;
    }

    /**
    * 设置 开始 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeStart
    */
    public void setFiletypeStart(Integer filetypeStart){
        this.filetypeStart = filetypeStart;
    }

    /**
    * 获取 结束 附件类型 1 示例样表 2空白表格 默认1
    * @return filetypeEnd
    */
    public Integer getFiletypeEnd(){
        return this.filetypeEnd;
    }

    /**
    * 设置 结束 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeEnd
    */
    public void setFiletypeEnd(Integer filetypeEnd){
        this.filetypeEnd = filetypeEnd;
    }

    /**
    * 获取 增加 附件类型 1 示例样表 2空白表格 默认1
    * @return filetypeIncrement
    */
    public Integer getFiletypeIncrement(){
        return this.filetypeIncrement;
    }

    /**
    * 设置 增加 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeIncrement
    */
    public void setFiletypeIncrement(Integer filetypeIncrement){
        this.filetypeIncrement = filetypeIncrement;
    }

    /**
    * 获取 附件类型 1 示例样表 2空白表格 默认1
    * @return filetypeList
    */
    public List<Integer> getFiletypeList(){
        return this.filetypeList;
    }

    /**
    * 设置 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeList
    */
    public void setFiletypeList(List<Integer> filetypeList){
        this.filetypeList = filetypeList;
    }
    /**
    * 获取 开始 附件来源，0：政务网，1：自定义，默认0
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 附件来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 附件来源，0：政务网，1：自定义，默认0
    * @return sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 附件来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 附件来源，0：政务网，1：自定义，默认0
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 附件来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 附件来源，0：政务网，1：自定义，默认0
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 附件来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public MatterDatumFileQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterDatumFileQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterDatumFileQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterDatumFileQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterDatumFileQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  材料id
    * @param datumid
    */
    public MatterDatumFileQuery datumid(Long datumid){
	    setDatumid(datumid);
		return this;
    }
	
	 /**
    * 设置 开始 材料id
    * @param datumidStart
    */
    public MatterDatumFileQuery datumidStart(Long datumidStart){
		this.datumidStart = datumidStart;
		return this;
    }

    /**
    * 设置 结束 材料id
    * @param datumidEnd
    */
    public MatterDatumFileQuery datumidEnd(Long datumidEnd){
		this.datumidEnd = datumidEnd;
		return this;
    }

    /**
    * 设置 增加 材料id
    * @param datumidIncrement
    */
    public MatterDatumFileQuery datumidIncrement(Long datumidIncrement){
		this.datumidIncrement = datumidIncrement;
		return this;
    }

    /**
    * 设置 材料id
    * @param datumidList
    */
    public MatterDatumFileQuery datumidList(List<Long> datumidList){
        this.datumidList = datumidList;
		return this;
        }
	/**
    * 设置 附件名称
    * @param fileName
    */
    public MatterDatumFileQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }


    /**
    * 设置 附件名称
    * @param fileNameList
    */
    public MatterDatumFileQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }
	/**
    * 设置 附件下载地址
    * @param fileUrl
    */
    public MatterDatumFileQuery fileUrl(String fileUrl){
        setFileUrl(fileUrl);
		return this;
    }


    /**
    * 设置 附件下载地址
    * @param fileUrlList
    */
    public MatterDatumFileQuery fileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
		return this;
    }
	
	/**
    * 设置  附件类型 1 示例样表 2空白表格 默认1
    * @param filetype
    */
    public MatterDatumFileQuery filetype(Integer filetype){
        setFiletype(filetype);
		return this;
    }

    /**
    * 设置 开始 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeStart
    */
    public MatterDatumFileQuery filetypeStart(Integer filetypeStart){
        this.filetypeStart = filetypeStart;
		return this;
    }


    /**
    * 设置 结束 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeEnd
    */
    public MatterDatumFileQuery filetypeEnd(Integer filetypeEnd){
        this.filetypeEnd = filetypeEnd;
		return this;
    }


    /**
    * 设置 增加 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeIncrement
    */
    public MatterDatumFileQuery filetypeIncrement(Integer filetypeIncrement){
        this.filetypeIncrement = filetypeIncrement;
		return this;
    }


    /**
    * 设置 附件类型 1 示例样表 2空白表格 默认1
    * @param filetypeList
    */
    public MatterDatumFileQuery filetypeList(List<Integer> filetypeList){
        this.filetypeList = filetypeList;
		return this;
    }
	
	/**
    * 设置  附件来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public MatterDatumFileQuery source(Integer source){
        setSource(source);
		return this;
    }

    /**
    * 设置 开始 附件来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public MatterDatumFileQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
		return this;
    }


    /**
    * 设置 结束 附件来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public MatterDatumFileQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
		return this;
    }


    /**
    * 设置 增加 附件来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public MatterDatumFileQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
		return this;
    }


    /**
    * 设置 附件来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public MatterDatumFileQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public MatterDatumFileQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public MatterDatumFileQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public MatterDatumFileQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public MatterDatumFileQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public MatterDatumFileQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public MatterDatumFileQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public MatterDatumFileQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public MatterDatumFileQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterDatumFileQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterDatumFileQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterDatumFileQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterDatumFileQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}